> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/operating-system.md).

# Operating System

Operating system requests

## GET /v3/operatingsystem

> Get all the available operating systems

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"OperatingSystem","description":"Operating system requests"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"OperatingSystem":{"type":"object","required":["id","name","slug","osGroup","isOdp","availableForFlexMetal","active"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of this operating system","readOnly":true},"name":{"type":"string","format":"","description":"The name of this operating system","readOnly":true},"slug":{"type":"string","format":"","description":"Unique key for operating system","readOnly":true},"osGroup":{"type":"integer","format":"integer","description":"The operating system group.\n1) Windows\n2) Linux / BSD","readOnly":true},"isOdp":{"type":"integer","format":"integer","description":"`1` if you can use this operating system with ODP, `0` otherwise.","readOnly":true},"availableForFlexMetal":{"type":"integer","format":"integer","description":"`1` if you can use this operating system with Flex Metal, `0` otherwise.","readOnly":true},"active":{"type":"integer","format":"integer","description":"`1` if this operating system is an active operating system, `0` otherwise.","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/operatingsystem":{"get":{"tags":["OperatingSystem"],"summary":"Get all the available operating systems","operationId":"getOperatingsystems","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OperatingSystem"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/general/operating-system.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
